Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.task.service
Class TaskClientHandler

    java.lang.Object
      org.jbpm.task.service.TaskClientHandler

    public class TaskClientHandler

extends Object

Nested Class Summary
`static interface` | `TaskClientHandler.AddAttachmentResponseHandler`
`static interface` | `TaskClientHandler.AddCommentResponseHandler`
`static interface` | `TaskClientHandler.AddTaskResponseHandler`
`static interface` | `TaskClientHandler.DeleteAttachmentResponseHandler`
`static interface` | `TaskClientHandler.DeleteCommentResponseHandler`
`static interface` | `TaskClientHandler.GetContentResponseHandler`
`static interface` | `TaskClientHandler.GetTaskResponseHandler`
`static interface` | `TaskClientHandler.QueryGenericResponseHandler` Needs to be deleted when the .query() functionality gets deleted.
`static interface` | `TaskClientHandler.SetDocumentResponseHandler`
`static interface` | `TaskClientHandler.TaskOperationResponseHandler`
`static interface` | `TaskClientHandler.TaskSummaryResponseHandler`

Constructor Summary
`TaskClientHandler(Map<Integer,ResponseHandler> responseHandlers, SystemEventListener systemEventListener)`

Method Summary
`void` | `exceptionCaught(SessionWriter session, Throwable cause)`
`TaskClient` | `getClient()`
`void` | `messageReceived(SessionWriter session, Object message)`
`void` | `setClient(TaskClient client)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskClientHandler

    public TaskClientHandler(Map<Integer,ResponseHandler> responseHandlers,
                             SystemEventListener systemEventListener)

Method Detail

### getClient

    public TaskClient getClient()

### setClient

    public void setClient(TaskClient client)

### exceptionCaught

    public void exceptionCaught(SessionWriter session,
                                Throwable cause)
                         throws Exception

  Throws:
    `Exception`

### messageReceived

    public void messageReceived(SessionWriter session,
                                Object message)
                         throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.